Remove from quarantine
curl --request DELETE \
--url https://api.truthlocks.com/v1/risk/quarantine/{subject_id} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/risk/quarantine/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/risk/quarantine/{subject_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/risk/quarantine/{subject_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"subject_id": "<string>",
"status": "<string>",
"removed_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Risk operations
Release subject quarantine
Remove from quarantine
DELETE
/
v1
/
risk
/
quarantine
/
{subject_id}
Remove from quarantine
curl --request DELETE \
--url https://api.truthlocks.com/v1/risk/quarantine/{subject_id} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/risk/quarantine/{subject_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/risk/quarantine/{subject_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/risk/quarantine/{subject_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"subject_id": "<string>",
"status": "<string>",
"removed_at": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Release the active quarantine for the subject/type after your review. Historical decisions remain available. Releasing quarantine does not automatically restore access in external systems.
Authorizations
API key for machine-to-machine authentication
Path Parameters
Subject identifier
Query Parameters
Use the same subject type that was recorded with the decision.

